package com.izouma.awesomeadmin.model;

import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class CompanyAuthentication{
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private Integer userId;
    private String userName;
    private String company;
    private String companyTime;
    private String businessNo;
    private String certificate;
    private String province;
    private String city;
    private String country;
    private Integer statusFlag;
    private String telephone;
    private String realName;
    private String remark;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

/**
* column_name_,desc_;column_name_,asc
*/
private String orderByStr;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public Date getUpdateTime(){
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime){
        this.updateTime = updateTime;
    }
    public String getUpdateUser(){
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser){
        this.updateUser = updateUser;
    }
    public Date getCreateTime(){
        return this.createTime;
    }

    public void setCreateTime(Date createTime){
        this.createTime = createTime;
    }
    public String getCreateUser(){
        return this.createUser;
    }

    public void setCreateUser(String createUser){
        this.createUser = createUser;
    }
    public Integer getUserId(){
        return this.userId;
    }

    public void setUserId(Integer userId){
        this.userId = userId;
    }
    public String getUserName(){
        return this.userName;
    }

    public void setUserName(String userName){
        this.userName = userName;
    }
    public String getCompany(){
        return this.company;
    }

    public void setCompany(String company){
        this.company = company;
    }
    public String getCompanyTime(){
        return this.companyTime;
    }

    public void setCompanyTime(String companyTime){
        this.companyTime = companyTime;
    }
    public String getBusinessNo(){
        return this.businessNo;
    }

    public void setBusinessNo(String businessNo){
        this.businessNo = businessNo;
    }
    public String getCertificate(){
        return this.certificate;
    }

    public void setCertificate(String certificate){
        this.certificate = certificate;
    }
    public String getProvince(){
        return this.province;
    }

    public void setProvince(String province){
        this.province = province;
    }
    public String getCity(){
        return this.city;
    }

    public void setCity(String city){
        this.city = city;
    }
    public String getCountry(){
        return this.country;
    }

    public void setCountry(String country){
        this.country = country;
    }
    public Integer getStatusFlag(){
        return this.statusFlag;
    }

    public void setStatusFlag(Integer statusFlag){
        this.statusFlag = statusFlag;
    }
    public String getTelephone(){
        return this.telephone;
    }

    public void setTelephone(String telephone){
        this.telephone = telephone;
    }
    public String getRealName(){
        return this.realName;
    }

    public void setRealName(String realName){
        this.realName = realName;
    }
    public String getRemark(){
        return this.remark;
    }

    public void setRemark(String remark){
        this.remark = remark;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

public String getOrderByStr() {
    return orderByStr;
}

public void setOrderByStr(String orderByStr) {
    this.orderByStr = orderByStr;
}

}

